<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="buscarInfo()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="Fecha" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Fecha">Fecha</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Folio" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Folio">Folio</label>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.iInt1 == 1">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.iInt1 == 1">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" [min]="ngForm.value.fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group" *ngIf="ngForm.value.iInt1 == 2">
          <label class="w-100">Folio:</label>
          <input type="tel" pattern="[0-9]*" formControlName="iInt2" class="form-control">
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group" *ngIf="ngForm.value.iInt1 == 1">
          <label class="w-100"></label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="1" id="Detallado" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Detallado">Detallado</label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="2" id="Sumarizado" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Sumarizado">Sumarizado</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      (filterChange)="filterChange($event)" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="Fecha" title="Fecha" width="110">
          <ng-template FecMovto let-dataItem>
            {{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Consecutivo" title="Consecutivo" width="130" class="text-right" filterable="false">
        </kendo-grid-column>
        <kendo-grid-column field="NoFolio" title="# Folio" width="120"></kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="90"></kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="160"></kendo-grid-column>
        <kendo-grid-column field="Hora" title="Hora Mov." width="130" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Hora | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="DeMoneda" title="De Mon" width="90" filterable="false"></kendo-grid-column>
        <kendo-grid-column field="AMoneda" title="A Mon" width="80" filterable="false"></kendo-grid-column>
        <kendo-grid-column field="Monto" title="Monto" width="120" class="text-right" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Monto | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="TipoCambio" title="Tipo Cambio" width="120" class="text-right" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.TipoCambio | number: '1.4' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Total" title="Total" width="120" class="text-right" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Total | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Notas" title="Notas" width="200" filterable="false"></kendo-grid-column>
        <kendo-grid-column field="Operador" title="Operador" width="120"></kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading" [selectable]="true" [filter]="filter"
      [filterable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="Usuario" title="Operador" width="130"></kendo-grid-column>
        <kendo-grid-column field="DeMoneda" title="De Mon" width="70"></kendo-grid-column>
        <kendo-grid-column field="AMoneda" title="A Mon" width="70"></kendo-grid-column>
        <kendo-grid-column field="Movtos" title="Suma Movtos" width="90" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Monto" title="Monto" width="90" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Monto | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Total" title="Total" width="100" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Total | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>